#!/usr/bin/perl -w

use strict;
use warnings;
use Switch;

package FamilyTreeDataFactory;

sub createFamilyTreeDataFromFile {
  my ( $file_name, $picture_directory ) = @_;
  my $format = (split(/\./, $file_name))[-1];
  $format = "csv" if("txt" eq $format);  # for backward compatibility
  switch ($format) {
  	case "csv" {
  	  require DataParsers::ExtendedSimonWardFormat;
  	  return ExtendedSimonWardFormat::createFamilyTreeDataFromFile($file_name, $picture_directory, $format)
  	  }
  	case "xls" {
  	  require DataParsers::ExcelFormat;
  	  return ExcelFormat::createFamilyTreeDataFromFile($file_name, $picture_directory)
  	  }
    case "ser" {
      require DataParsers::SerializerFormat;
      return SerializerFormat::createFamilyTreeDataFromFile($file_name, $picture_directory)
      }
  	case "ged" {
  	  require DataParsers::GedcomFormat;
  	  return GedcomFormat::createFamilyTreeDataFromFile($file_name, $picture_directory)
  	  }
  	else {die "Unknown file extension: ".$format }
  }
  
}

1;
